> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch funnelsfunnelupdate



## OpenAPI

````yaml /api-reference/funnels/openapi.json patch /funnels/funnel/update/{id}
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/funnel/update/{id}:
    patch:
      operationId: updateFunnel
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFunnelParams'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateFunnelParams:
      type: object
      properties:
        locationId:
          type: string
        name:
          type: string
        originId:
          type: string
        url:
          type: string
        faviconUrl:
          type: string
        trackingCodeHead:
          type: string
        trackingCodeBody:
          type: string
        domainId:
          type: string
        processing:
          type: boolean
        type:
          type: string
        globalSectionsPath:
          type: string
        globalSectionsUrl:
          type: string
        globalSectionVersion:
          type: number
        globalFonts:
          type: array
          items:
            type: string
        updatedBy:
          type: string
        orderFormVersion:
          type: number
        isLivePaymentMode:
          type: boolean
        deleted:
          type: boolean
        category:
          type: string
        parentId:
          type: string
        ischatWidgetLive:
          type: boolean
        chatWidgetId:
          type: string
        imageOptimization:
          type: boolean
        isStoreActive:
          type: boolean
        isBlogEnable:
          type: boolean
        blogsData:
          type: object
      required:
        - locationId
        - name
        - originId
        - url
        - faviconUrl
        - trackingCodeHead
        - trackingCodeBody
        - domainId
        - processing
        - type
        - globalSectionsPath
        - globalSectionsUrl
        - globalSectionVersion
        - globalFonts
        - updatedBy
        - orderFormVersion
        - isLivePaymentMode
        - deleted
        - category
        - parentId
        - ischatWidgetLive
        - chatWidgetId
        - imageOptimization
        - isStoreActive
        - isBlogEnable
        - blogsData

````